#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#
Pod::Spec.new do |s|
  s.name             = 'datami_plugin'
  s.version          = '0.0.3'
  s.summary          = 'Datami Flutter Plugin'
  s.description      = <<-DESC
  Smi SDK for Sponsored Data on iOS Devices by Datami Mobile Solutions Pvt Ltd.
                       DESC
  s.homepage         = 'https://www.datami.com'

  s.license = { :type => 'EULA'}

  s.author           = { 'Your Company' => 'email@example.com' }

  s.source = {
    :http => 'https://s3.amazonaws.com/sdk-pods-ga-releases.cloudmi.datami.com/pods/pod-smisdk-objc-4.1.2.zip',
  }

  s.platform = :ios, '9.0'

  s.swift_version = [
    '4.0',
    '4.2',
    '5.0'
  ]

  s.ios.frameworks   = [
    'CoreFoundation',
    'SystemConfiguration'
  ]

  s.source_files = [
    'Classes/**/*',
  ]

  s.public_header_files = [
    'Classes/**/*.h',
  ]

  s.vendored_frameworks = 'Frameworks/pod-smisdk-swift/SmiSdk.framework'

  s.dependency 'Flutter'

end

